Skip to main content

Conversation API

Statuses

Request for check message status

GET https://a.loopmessage.com/v1/message/status/{id}/

You can check the status of each individual message based on the message ID.

Path Parameters

NameTypeDescription
id*StringID that you received after a successful request

Headers

NameTypeDescription
Authorization*StringAPI Key. Required*.
Content-Type*Stringapplication/json

Response {.tabset .tabset-fade}

tab 200: Request accepted

Some fields in JSON may be optional

{
    "message_id": "2BC4FD6A-CE49-439F-81DF-E895C09CA49C",
    "status": "processing",
    "contact": "+13231112233",
    "text": "text",
    "error_code": 100,
    "last_update": "2021-12-31T23:59:59.809Z"
}

tab 400: Request failed

Some fields in JSON may be optional

{
    "error_code": 100,
    "message": "error description"
}

tab 404: Not Found

Unable to find a message with this ID

error_code - optional field for cases when sending was unsuccessful.

{
    "error_code": 100,
    "message": "error description"
}

Available statuses

All values will be in lowercase format

ValueDescription
processingSend request was successfully accepted and is being processed
failedFailed to send or deliver a message
deliveredMessage was successfully delivered to a recipient
unknownMessage status is currently unknown